CREATE TABLE JCR_MITEM(
	ID VARCHAR(255) NOT NULL PRIMARY KEY, 
	VERSION INTEGER NOT NULL, 
	PATH VARCHAR(1020) NOT NULL
	);
CREATE INDEX JCR_IDX_MITEM_PATH ON JCR_MITEM(PATH);
CREATE TABLE JCR_MNODE(
	ID VARCHAR(255) NOT NULL PRIMARY KEY, 
	ORDER_NUM INTEGER, 
	PARENT_ID VARCHAR(255), 
	CONSTRAINT JCR_FK_MNODEPARENT FOREIGN KEY(PARENT_ID) REFERENCES JCR_MNODE(ID), 
	CONSTRAINT JCR_FK_MNODE_ITEM FOREIGN KEY(ID) REFERENCES JCR_MITEM(ID)
	);
CREATE INDEX JCR_IDX_MNODE_PARE ON JCR_MNODE(ID, PARENT_ID, ORDER_NUM);
CREATE TABLE JCR_MPROPERTY(
	ID VARCHAR(255) NOT NULL PRIMARY KEY,
	TYPE INTEGER NOT NULL, 
	PARENT_ID VARCHAR(255) NOT NULL, 
	MULTIVALUED SMALLINT NOT NULL, 
	CONSTRAINT JCR_FK_MPROPERTY_N FOREIGN KEY(PARENT_ID) REFERENCES JCR_MNODE(ID), 
	CONSTRAINT JCR_FK_MPROPERTY_I FOREIGN KEY(ID) REFERENCES JCR_MITEM(ID) 
	);
CREATE INDEX JCR_IDX_MPROP_PARE ON JCR_MPROPERTY(ID, PARENT_ID);
CREATE INDEX JCR_IDX_MPROP_TYPE ON JCR_MPROPERTY(ID, TYPE);
CREATE TABLE JCR_MVALUE(
	ID BIGINT generated by default as identity (START WITH 2, INCREMENT BY 1) NOT NULL PRIMARY KEY,
	DATA LONG VARCHAR FOR BIT DATA NOT NULL,
	ORDER_NUM INTEGER, 
	PROPERTY_ID VARCHAR(255) NOT NULL, 
	CONSTRAINT JCR_FK_MVALUE_PROP FOREIGN KEY(PROPERTY_ID) REFERENCES JCR_MPROPERTY(ID)
	);
CREATE INDEX JCR_IDX_MVALUE_PRO ON JCR_MVALUE(PROPERTY_ID, ORDER_NUM);	